Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1860987 - Won't open some pdfs after upgrade to jbig2dec-libs 0.18-1
Summary: Won't open some pdfs after upgrade to jbig2dec-libs 0.18-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zathura-pdf-mupdf
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1861103
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 15:38 UTC by Daniel Moerner
Modified: 2020-08-05 01:20 UTC (History)
3 users (show)

Fixed In Version: zathura-pdf-mupdf-0.3.5-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-05 01:20:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Moerner 2020-07-27 15:38:36 UTC
Description of problem:

After the recent upgrade of jbig2dec-libs to 0.18-1, Zathura's mupdf plugin will not open certain pdfs.

Version-Release number of selected component (if applicable): zathura-pdf-mupdf-0.3.5-3.fc32.x86_64, jbig2dec-libs-0.18-1.fc32.x86_64

How reproducible: 100%, with the right pdf. I don't have any freely available pdfs to link to, but if you have academic access to JSTOR or Wiley-Blackwell, pdfs from the Proceedings of the Aristotelian Society fail, e.g., https://www.jstor.org/stable/42705831

Steps to Reproduce: Try to open certain pdfs.

Actual results: Visible pdf.

Expected results: Black screen in Zathura, and the following error message: 

warning: jbig2dec error: incompatible jbig2dec header (0.17) and library (0.18) versions (segment -1)
error: cannot allocate jbig2 context
warning: Ignoring error during interpretation

Additional info: Arch bug report: https://bugs.archlinux.org/task/66039

Solution: I believe that zathura-pdf-mupdf just needs to be rebuilt.

Comment 1 Daniel Moerner 2020-07-27 20:13:20 UTC
I wasn't thinking clearly about this. mupdf needs to be rebuilt first, and then zathura-pdf-mupdf can be rebuilt against the new build of mupdf. I just confirmed that this works locally, I'll file another bug report against mupdf which this will depend on.

Comment 2 Fedora Update System 2020-07-28 09:47:51 UTC
FEDORA-2020-2183db06bc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2183db06bc

Comment 3 Fedora Update System 2020-07-28 15:20:27 UTC
FEDORA-2020-2183db06bc has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2183db06bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2183db06bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-08-05 01:20:31 UTC
FEDORA-2020-2183db06bc has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.